from django.urls import path
from . import views

urlpatterns = [
    path('profile', views.ProfileView.as_view()),
    path('send_otp', views.SendOTPView.as_view(), name='send-otp-view'),
    path('address/create', views.CreateAddressView.as_view(), name='create-address'),
    path('address/edit/<int:pk>', views.EditAddressView.as_view(), name='edit-address'),
    path('address/delete/<int:pk>', views.DeleteAddressView.as_view(), name='delete-address'),
    path('address/list', views.GetUserAddressesView.as_view(), name='list-addresses'),
    path('address/<int:pk>', views.GetIDUserAddressView.as_view(), name='get-ID-address'),
]